﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;

namespace ChartDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<Person> Data { get; set; }
        public Visibility axisVisibility;
        public Visibility AxisVisibility
        {
            get { return axisVisibility; }
            set
            {
                if(value != axisVisibility)
                {
                    axisVisibility = value;
                    RaisePropertychanged("AxisVisibility");
                }
            }
        }

        public bool isVisible;
        public bool IsVisible
        {
            get { return isVisible; }
            set
            {
                if (value != isVisible)
                {
                    isVisible = value;
                    RaisePropertychanged("IsVisible");
                }
            }
        }

        public string annotationText;

        public string AnnotationText
        {
            get { return annotationText; }
            set
            {
                if (value != annotationText)
                {
                    annotationText = value;
                    RaisePropertychanged("AnnotationText");
                }
            }
        }

        public ViewModel()
        {
            Data = new ObservableCollection<Person>()
            {
                //new Person { Name = "David", Height = 180 },
                //new Person { Name = "Michael", Height = 170 },
                //new Person { Name = "Steve", Height = 160 },
                //new Person { Name = "Joel", Height = 182 }
            };

            if (Data.Count <= 0)
            {
                AnnotationText = "No data to display";
                AxisVisibility = Visibility.Collapsed;
                IsVisible = false;
            }
            else
            {
                AnnotationText = null;
                AxisVisibility = Visibility.Visible;
                IsVisible = true;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertychanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}